QGIS Application - Bug report #8593
python-qgis removes QGIS
2013-09-10 11:32 AM - Steven Horner

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No
Operating System: Ubuntu raring Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 17335
Description

When installing python-qgis from the nightly build it removes qgis. Trying to install python support so | can get the Sextante processing
working.

| have never managed to get batch mode working in Sextante on wither Windows or Ubuntu and I've tried 4 versions in Ubuntu and 2 in
Windows. | live in hope.

History

#1 - 2013-09-10 11:34 AM - Giovanni Manghi

trust me :) batch processing in sextante (now just "processing") works ok, | use it on both Linux and Windows

#2 - 2013-09-10 11:37 AM - Steven Horner

Have you ever tried batch processing with r.los, it always crashes for me and which QGIS version are you using?

#3 - 2013-09-10 11:49 AM - Giovanni Manghi

Steven Horner wrote:

Have you ever tried batch processing with r.los, it always crashes for me and which QGIS version are you using?

just run a r.los analysis in batch mode, using the same input DEM, 3 different viewing positions, distances and heights.

This on qgis master (a code revision a few days aolder then the 2.0 tagging) on Ubuntu precise. | use the nightly build repo, the one that works together

with the ubuntugis PPA.

#4 - 2013-09-10 11:55 AM - Steven Horner

I'm a Ubuntu newbie and using raring but | can't for the life of me get a version where it all works. Not sure how to get an older version than the current from
the nightly.

Trying to workout 282 viewsheds using r.los which take about 90 minutes each. This takes ages one at a time.
#5 - 2013-09-11 04:54 AM - Giovanni Manghi

Steven Horner wrote:

I'm a Ubuntu newbie and using raring but | can't for the life of me get a version where it all works. Not sure how to get an older version than the

current from the nightly.

Trying to workout 282 viewsheds using r.los which take about 90 minutes each. This takes ages one at a time.

let's solve the original issue first: how do you install ggis in Ubuntu? do you uses a repository? ubuntugis? nightly builds? both?

#6 - 2013-09-11 09:15 AM - Steven Horner

Thanks,

| followed the instructions on: [[https://issues.qgis.org/projects/quantum-gis/wiki/Download#26-Ubuntul]]

| have tried the following:

sudo apt-get install python-software-properties

sudo add-apt-repository ppa:ubuntugis/ubuntugis-unstable

sudo apt-get update

sudo apt-get install ggis

Which | think gave me 1.8, this then needs the seperate Sextante plugin but this has the known error:

NameError: global name 'os' is not defined

Which is fixed according to the issues log in versions of QGIS from 1.9 onwards when Sextante was included in QGIS as processing. This is why | am

trying to get a newer version.

| have also tried the nightly builds using this

deb  http://ggis.org/debian-nightly raring main
deb-src http://qgis.org/debian-nightly raring main

gpg --keyserver keyserver.ubuntu.com --recv 47765B75
gpg --export --armor 47765B75 | sudo apt-key add -

QGIS 2.1.0 master installs but | then try to add Python support to get the processing options by typing the below but it removes QGIS.

sudo apt-get install python-qgis

As you can see | am getting nowhere fast.

#7 - 2013-09-11 11:02 AM - Giovanni Manghi

Ok, you have mixed up things, a common mistake but nothing serious.

First the Sextante plugin for qgis 1.8 is completely outadated: somewhere along qgis 2.0 development sextante merged with ggis (core) and the old plugin

was not updated anymore.
So delete any evidence of this old sextante by deleting the folders

./qgis
and
Jconfig/QuantumGis

Then you have a little confusion with the repositories:

The standard ubuntu repositories have kind of old packages like gdal, so this is why it is handy to use the ubuntugis one, because it has newer version of a

lot pf packages.

Then if you want to install qgis master (aka development version), you have to add the nightly build repo, but there are 2 nightly repos, one that use the

packages from ubuntugis, and the other that uses the ones from the standard ubuntu repos.

It happens that for your Ubuntu release it seems that there are the qgis master packages only in the nightly repo that doesn't use ubuntugis (the one you

already added), so | guess that the confusion arises because you have also the ubuntugis one.

So with the package manager remove any trace of gdal, proj4, qgis, grass et al, then remove/disable the ubuntugis repo, refresh sources and install qgis

again.

Steven Horner wrote:

Thanks,

| followed the instructions on: [[https.//issues.qqgis.org/projects/quantum-gis/wiki/Download#26-Ubuntu]]

I have tried the following:

sudo apt-get install python-software-properties

sudo add-apt-repository ppa:ubuntugis/ubuntugis-unstable

sudo apt-get update

sudo apt-get install qgis

Which | think gave me 1.8, this then needs the seperate Sextante plugin but this has the known error:

NameError: global name ‘os' is not defined

Which is fixed according to the issues log in versions of QGIS from 1.9 onwards when Sextante was included in QGIS as processing. This is why |

am trying to get a newer version.

I have also tried the nightly builds using this

deb  http:/qgis.org/debian-nightly raring main
deb-src http://qgis.org/debian-nightly raring main

gpg --keyserver keyserver.ubuntu.com --recv 47765875
gpg --export --armor 47765B75 | sudo apt-key add -

QGIS 2.1.0 master installs but | then try to add Python support to get the processing options by typing the below but it removes QGIS.

sudo apt-get install python-qgis

As you can see | am getting nowhere fast.
#8 - 2013-09-11 01:46 PM - Steven Horner

Thank you for the help.

Followed all your instructions but when | launch QGIS | got the following error when the splash screen appeared:

Private qgis.db
[ERROR] Can not make qgis.db private copy

When | say ok to that | then got a Python error which | wont copy but looked like it couldn't write to the folder. So | checked the .qgis2 folder and only root
had write permission. Changed this and the error message went and | get the processing menu options.

Although | have the same problem when | choose r.los from processing the screen dims slightly and the loading circle just spins and nothing appears. QGIS
has basically frozen.

#9 - 2013-09-11 01:53 PM - Steven Horner

| have just tested a few more of the tools in the Processing Toolbox.

I can run any QGIS geoalgorithms, Geoserver/PostGis, GDAL, Orfeo, Models etc tools without error or at least get the screens to enter parameters. SAGA

tells me | am missing dependency but | don't need SAGA.

So it appears it is on the GRASS commands that are not working in the Processing Toolbox which is actually the only thing | need.

#10 - 2013-09-11 02:22 PM - Steven Horner

Apologies for all these posts but checking /usr/share/qgis/python/plugins/processing/grass

It looks like files could be missing, there is an nvis.py and this does actually load up from the processing toolbox. There are also two folders "description”
and "ext" everything looks correct in "description”. In "ext" there are 14 files including init.py like v_report.py and r_info.py but no r_los.py and even the r.info

wont load.

| could be on the wrong track.

#11 - 2013-09-12 01:33 PM - Giovanni Manghi

Steven Horner wrote:

I have just tested a few more of the tools in the Processing Toolbox.

I can run any QGIS geoalgorithms, Geoserver/PostGis, GDAL, Orfeo, Models etc tools without error or at least get the screens to enter parameters.

SAGA tells me | am missing dependency but | don't need SAGA.

So it appears it is on the GRASS commands that are not working in the Processing Toolbox which is actually the only thing | need.

this is strange, because once you overcome the above issue then grass should work. So the question is: grass standalone works? the qgis/grass plugins

works?

#12 - 2013-09-12 01:34 PM - Giovanni Manghi
I could be on the wrong track.

it does not seems the issue to me, | use sextante/grass on several qgis master machines - both linux and windows - and never seen this issue.

#13 - 2013-09-12 02:03 PM - Steven Horner

Grass in QGIS works without any problems. Much faster in Ubuntu compared to Windows version.

Still can't get GRASS tools to work in Sextante though, can | debug somehow?

#14 - 2013-09-13 04:29 AM - Giovanni Manghi

Steven Horner wrote:

Grass in QGIS works without any problems. Much faster in Ubuntu compared to Windows version.

Still can't get GRASS tools to work in Sextante though, can | debug somehow?

the sextante log says something?

#15 - 2013-09-13 04:32 AM - Giovanni Manghi
- Status changed from Open to Closed
- Resolution set to invalid

by the way the original issue was invalid, so I'm closing this. If something is wrong with sextante (but | doubt) another more specific ticket must be filed.
